Subject: Re: Re: [PATCH 6/6] IB: userspace support for RDMA connection manager

From: Roland Dreier <[email-masked]>
Date: Mon, 06 Mar 2006 13:58:32 -0800

Sean> Unless I miss counted, they should be aligned.
    Sean> ib_user_path_rec is defined near the end of patch 1/6.

You're right.  struct sockaddr_in6 is 28 bytes long (not a multiple of
8) but gcc seems to lay everything out the same on 32-bit and 64-bit
architectures just the same.

 - R.